@echo off
setlocal
if "%1" == "" set DEFAULT_BUILD=".win"
if "%EXCURSIONSDK%" == "" set EXCURSIONSDK=..\..\..
set INCLUDE=%INCLUDE%;%EXCURSIONSDK%\lib\X11\config;%EXCURSIONSDK%\include
if NOT EXIST %PROCESSOR_ARCHITECTURE% mkdir %PROCESSOR_ARCHITECTURE%
cd %PROCESSOR_ARCHITECTURE%
copy ..\strings.uil
nmake -f ..\makefile%1%DEFAULT_BUILD%

:EXIT
endlocal

